/**
 * @file MessageIDs.h
 *
 * Declaration of ids for debug messages.
 *
 * @author Martin Lötzsch
 */

#pragma once

#include "Tools/Streams/Enum.h"

/**
 * IDs for debug messages
 *
 * To distinguish debug messages, they all have an id.
 */
ENUM(MessageID,
{,
  undefined,
  idProcessBegin,
  idProcessFinished,

  idActivationGraph,
  idAlternativeRobotPoseHypothesis,
  idAnnotation,
  idAudioData,
  idBallModel,
  idBallPercept,
  idBallPercept2,
  idBallSpots,
  idBehaviorStatus,
  idBodyContour,
  idCameraInfo,
  idCameraMatrix,
  idCirclePercept,
  idConfirmedBallSpot,
  idDebuggingOutput,
  idExternStrategyInput,
  idFallDownState,
  idFieldBoundary,
  idFieldColors,
  idFieldCoverage,
  idFieldFeatureOverview,
  idFootGroundContactState,
  idFrameInfo,
  idFsrSensorData,
  idGameInfo,
  idGetUpEngineOutput,
  idGoalPostPercept,
  idGroundTruthOdometryData,
  idGroundTruthWorldState,
  idImage,
  idImageCoordinateSystem,
  idImagePatches,
  idInertialData,
  idInertialSensorData,
  idJointAngles,
  idJointCalibration,
  idJointLimits,
  idJointRequest,
  idJointSensorData,
  idJPEGImage,
  idKeyStates,
  idLabelImage,
  idKickPose,
  idLinesPercept,
  idLowFrameRateImage,
  idMotionInfo,
  idMotionRequest,
  idObstacleModel,
  idOdometer,
  idOdometryData,
  idOdometryOffset,
  idOpponentTeamInfo,
  idOwnTeamInfo,
  idPenaltyMarkPercept,
  idPlayersFieldPercept,
  idPlayersImagePercept,
  idRobotDimensions,
  idRobotHealth,
  idRobotInfo,
  idRobotPose,
  idScanlineRegions,
  idSelfLocalizationHypotheses,
  idSideConfidence,
  idStableStand,
  idStopwatch,
  idSystemSensorData,
  idTeamBallModel,
  idTeamData,
  idTeammateRoles,
  idTeamPlayersModel,
  idThumbnail,
  idWalkingEngineOutput,
  idWalkGenerator,
  idWhistle,
  numOfDataMessageIDs, /**< everything below this does not belong into log files */

  // infrastructure
  idRobot = numOfDataMessageIDs,
  idConsole,
  idDebugDataChangeRequest,
  idDebugDataResponse,
  idDebugDrawing,
  idDebugDrawing3D,
  idDebugImage,
  idDebugJPEGImage,
  idDebugRequest,
  idDebugResponse,
  idDrawingManager,
  idDrawingManager3D,
  idLogResponse,
  idModuleRequest,
  idModuleTable,
  idMotionNet,
  idPlot,
  idQueueFillRequest,
  idRobotname,
  idText,
  idTypeInfo,
  idColorCalibration,
});
